Bug 985343 - After telugu input .(full stop) is rendering as square box in lokalize editor
Summary: After telugu input .(full stop) is rendering as square box in lokalize editor
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: lohit-telugu-fonts
Version: 23
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-17 10:24 UTC by Krishna Babu K
Modified: 2015-09-06 17:04 UTC (History)
3 users (show)

Fixed In Version: 2.5.4-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-06 01:09:27 UTC


Attachments (Terms of Use)
Example screen shot regarding the problem. (4.16 KB, image/png)
2013-07-17 10:24 UTC, Krishna Babu K
no flags Details
Problem with lokalize while placing fullstop after telugu text. (79.97 KB, image/png)
2014-01-30 12:20 UTC, Krishna Babu K
no flags Details
Problem with kate while placing fullstop after telugu text. (29.03 KB, image/png)
2014-01-30 12:20 UTC, Krishna Babu K
no flags Details

Description Krishna Babu K 2013-07-17 10:24:36 UTC
Created attachment 774715 [details]
Example screen shot regarding the problem.

Description of problem:
While using lokalize as translation editor, after telugu input if i type .(full stop) it is rendering as square box.

Version-Release number of selected component (if applicable):

lohit-telugu-fonts-2.5.3-2.fc19.noarch
kdesdk-lokalize-4.10.5-1.fc19.x86_64

How reproducible:
Every time

Steps to Reproduce:
1.Open lokalize.
2.Input some telugu text.
3.Type . after telugu text.

Actual results:

. rendering as square box

Expected results:

Should render as it should be.

Additional info:

Working fine with pothana font.

Comment 1 Krishna Babu K 2014-01-30 12:18:00 UTC
Hi,

Problem exists in Fedora 20 also while using lokalize, kate. Screen shot attached for better understand.

Tested on Fedora 20 with the following packages:

lokalize-4.11.5-1.fc20.x86_64 
kate-4.11.5-1.fc20.x86_64 
lohit-telugu-fonts-2.5.3-3.fc20.noarch

Thanks,
Krishna.

Comment 2 Krishna Babu K 2014-01-30 12:20:00 UTC
Created attachment 857435 [details]
Problem with lokalize while placing fullstop after telugu text.

Comment 3 Krishna Babu K 2014-01-30 12:20:49 UTC
Created attachment 857436 [details]
Problem with kate while placing fullstop after telugu text.

Comment 4 Pravin Satpute 2014-01-31 05:31:16 UTC
Hi Krishna Babu,

  How about other punctuations marks? are they also appearing as a square box?

Comment 5 Krishna Babu K 2014-01-31 06:10:28 UTC
Hi Praveen,

No, only for full stop(.)

Regards,
Krishna.

Comment 6 Krishna Babu K 2014-06-10 18:37:49 UTC
Hi,

I think problem exist in all kde based applications.

thanks,
krishna.

Comment 7 Pravin Satpute 2014-06-11 03:46:11 UTC
Thanks for update. I will work on it this week.

Comment 8 Fedora End Of Life 2015-05-29 09:11:17 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-06-30 00:40:10 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Fedora Update System 2015-09-03 11:58:35 UTC
lohit-telugu-fonts-2.5.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14963

Comment 11 Fedora Update System 2015-09-04 07:33:54 UTC
lohit-telugu-fonts-2.5.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update lohit-telugu-fonts'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14963

Comment 12 Fedora Update System 2015-09-06 01:09:21 UTC
lohit-telugu-fonts-2.5.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-09-06 17:04:49 UTC
lohit-telugu-fonts-2.5.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.